libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::Column Class Reference
[Data Handlers]

Management of DataModel column attributes. More...

Inheritance diagram for Gnome::Gda::Column:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<Column> | copy () const
| Creates a new Gda::Column object from an existing one.
bool | equal (const Glib::RefPtr<const Column>& src) const
bool | get_allow_null () const
| Gets the 'allow null' flag of the given column.
bool | get_auto_increment () const

Returns:
  Whether the given column is an auto incremented one (`true` or `false`).

Glib::ustring | get_caption () const

Returns:
  column's caption.

Glib::ustring | get_dbms_type () const

Returns:
  The dbms_type of column.

Value | get_default_value () const
glong | get_defined_size () const

Returns:
  The defined size of column.

GType | get_g_type () const

Returns:
  The type of column.

Glib::ustring | get_name () const

Returns:
  The name of column.

gint | get_position () const

Returns:
  The position of the column refer to in the containing data model.

bool | get_primary_key () const

Returns:
  Whether if the given column is a primary key (`true` or `false`).

Glib::ustring | get_references () const
| Reference is returned in tablename.fieldname format.
glong | get_scale () const

Returns:
  The number of decimals of column.

Glib::ustring | get_table () const

Returns:
  The name of the table to which this column belongs.

Glib::ustring | get_title () const

Returns:
  The column's title.

bool | get_unique_key () const

Returns:
  Whether if the given column is an unique key (`true` or `false`).

const GdaColumn* | gobj () const
| Provides access to the underlying C GObject.
GdaColumn* | gobj ()
| Provides access to the underlying C GObject.
GdaColumn* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_id () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_id ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
void | set_allow_null (bool allow=true)
| Sets the 'allow null' flag of the given column.
void | set_auto_increment (bool is_auto=true)
| Sets the auto increment flag for the given column.
void | set_caption (const Glib::ustring& caption)
| Sets column's caption.
void | set_dbms_type (const Glib::ustring& dbms_type)
void | set_default_value (const Value& default_value)
| Sets column's default Value.
void | set_defined_size (glong size)
| Sets the defined size of a Gda::Column.
void | set_g_type (GType type)
| Sets the type of column to type.
void | set_name (const Glib::ustring& name)
| Sets the name of column to name.
void | set_position (gint position)
| Sets the position of the column refer to in the containing data model.
void | set_primary_key (bool pk=true)
| Sets the 'primary key' flag of the given column.
void | set_references (const Glib::ustring& ref)
| Sets column's references.
void | set_scale (glong scale)
| Sets the scale of column to scale.
void | set_table (const Glib::ustring& table)
| Sets the name of the table to which the given column belongs.
void | set_title (const Glib::ustring& title)
| Sets the column's title.
void | set_unique_key (bool uk=true)
| Sets the 'unique key' flag of the given column.
Glib::SignalProxy2< void, GType, GType > | signal_g_type_changed ()

Prototype:
  `void on_my_g_type_changed(GType old_type, GType new_type)`

Glib::SignalProxy1< void, const Glib::ustring& > | signal_name_changed ()

Prototype:
  `void on_my_name_changed(const Glib::ustring& old_name)`

virtual | ~Column ()

## Static Public Member Functions

static Glib::RefPtr<Column> | create ()

## Protected Member Functions

| Column ()
virtual void | on_g_type_changed (GType old_type, GType new_type)
virtual void | on_name_changed (const Glib::ustring& old_name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::Column> | wrap (GdaColumn* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Management of DataModel column attributes.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Column::~Column | ( |  | ) | `[virtual]`

Gnome::Gda::Column::Column | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Column> Gnome::Gda::Column::copy | ( |  | ) | const

Creates a new Gda::Column object from an existing one.

Returns:
  A newly allocated Gda::Column with a copy of the data in column.

static Glib::RefPtr<Column> Gnome::Gda::Column::create | ( |  | ) | `[static]`

bool Gnome::Gda::Column::equal | ( | const Glib::RefPtr<const Column>& | src | ) | const

bool Gnome::Gda::Column::get_allow_null | ( |  | ) | const

Gets the 'allow null' flag of the given column.

Returns:
  Whether the given column allows null values or not (`true` or `false`).

bool Gnome::Gda::Column::get_auto_increment | ( |  | ) | const

Returns:
  Whether the given column is an auto incremented one (`true` or `false`).

Glib::ustring Gnome::Gda::Column::get_caption | ( |  | ) | const

Returns:
  column's caption.

Glib::ustring Gnome::Gda::Column::get_dbms_type | ( |  | ) | const

Returns:
  The dbms_type of column.

Value Gnome::Gda::Column::get_default_value | ( |  | ) | const

glong Gnome::Gda::Column::get_defined_size | ( |  | ) | const

Returns:
  The defined size of column.

GType Gnome::Gda::Column::get_g_type | ( |  | ) | const

Returns:
  The type of column.

Glib::ustring Gnome::Gda::Column::get_name | ( |  | ) | const

Returns:
  The name of column.

gint Gnome::Gda::Column::get_position | ( |  | ) | const

Returns:
  The position of the column refer to in the containing data model.

bool Gnome::Gda::Column::get_primary_key | ( |  | ) | const

Returns:
  Whether if the given column is a primary key (`true` or `false`).

Glib::ustring Gnome::Gda::Column::get_references | ( |  | ) | const

Reference is returned in tablename.fieldname format.

Do not free this variable, it is used internally within GdaColumn.

Returns:
  column's references.

glong Gnome::Gda::Column::get_scale | ( |  | ) | const

Returns:
  The number of decimals of column.

Glib::ustring Gnome::Gda::Column::get_table | ( |  | ) | const

Returns:
  The name of the table to which this column belongs.

Glib::ustring Gnome::Gda::Column::get_title | ( |  | ) | const

Returns:
  The column's title.

bool Gnome::Gda::Column::get_unique_key | ( |  | ) | const

Returns:
  Whether if the given column is an unique key (`true` or `false`).

const GdaColumn* Gnome::Gda::Column::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaColumn* Gnome::Gda::Column::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaColumn* Gnome::Gda::Column::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gnome::Gda::Column::on_g_type_changed | ( | GType | old_type,
|  | GType | new_type |
| ) |  |  | `[protected, virtual]`

virtual void Gnome::Gda::Column::on_name_changed | ( | const Glib::ustring & | old_name | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::Column::property_id | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::Column::property_id | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gnome::Gda::Column::set_allow_null | ( | bool | allow = `true` | ) |

Sets the 'allow null' flag of the given column.

Parameters:

  | allow | Whether the given column should allows null values or not.

void Gnome::Gda::Column::set_auto_increment | ( | bool | is_auto = `true` | ) |

Sets the auto increment flag for the given column.

Parameters:

  | is_auto | Auto increment status.

void Gnome::Gda::Column::set_caption | ( | const Glib::ustring & | caption | ) |

Sets column's caption.

Parameters:

  | caption | Caption.

void Gnome::Gda::Column::set_dbms_type | ( | const Glib::ustring & | dbms_type | ) |

void Gnome::Gda::Column::set_default_value | ( | const Value& | default_value | ) |

Sets column's default Value.

Parameters:

  | default_value | Default Value for the column.

void Gnome::Gda::Column::set_defined_size | ( | glong | size | ) |

Sets the defined size of a Gda::Column.

Parameters:

  | size | The defined size we want to set.

void Gnome::Gda::Column::set_g_type | ( | GType | type | ) |

Sets the type of column to type.

Parameters:

  | type | The new type of column.

void Gnome::Gda::Column::set_name | ( | const Glib::ustring & | name | ) |

Sets the name of column to name.

Parameters:

  | name | The new name of column.

void Gnome::Gda::Column::set_position | ( | gint | position | ) |

Sets the position of the column refer to in the containing data model.

Parameters:

  | position | The wanted position of the column in the containing data model.

void Gnome::Gda::Column::set_primary_key | ( | bool | pk = `true` | ) |

Sets the 'primary key' flag of the given column.

Parameters:

  | pk | Whether if the given column should be a primary key.

void Gnome::Gda::Column::set_references | ( | const Glib::ustring & | ref | ) |

Sets column's references.

Parameters:

  | ref | References.

void Gnome::Gda::Column::set_scale | ( | glong | scale | ) |

Sets the scale of column to scale.

Parameters:

  | scale | Number of decimals.

void Gnome::Gda::Column::set_table | ( | const Glib::ustring & | table | ) |

Sets the name of the table to which the given column belongs.

Parameters:

  | table | Table name.

void Gnome::Gda::Column::set_title | ( | const Glib::ustring & | title | ) |

Sets the column's title.

Parameters:

  | title | Title name.

void Gnome::Gda::Column::set_unique_key | ( | bool | uk = `true` | ) |

Sets the 'unique key' flag of the given column.

Parameters:

  | uk | Whether if the given column should be an unique key.

Glib::SignalProxy2< void,GType,GType > Gnome::Gda::Column::signal_g_type_changed | ( |  | ) |

Prototype:
  `void on_my_g_type_changed(GType old_type, GType new_type)`

Glib::SignalProxy1< void,const Glib::ustring& > Gnome::Gda::Column::signal_name_changed | ( |  | ) |

Prototype:
  `void on_my_name_changed(const Glib::ustring& old_name)`

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::Column> wrap | ( | GdaColumn * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- column.h